VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder

    java.lang.Object
      com.bbn.openmap.layer.vpf.VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder

Direct Known Subclasses:
  VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Basic, VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Compound

Enclosing class:
  VPFAutoFeatureGraphicWarehouse

    protected abstract static class VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder

extends java.lang.Object

A FeaturePriorityHolder represents a rendering order slot in a list of feature types to be rendered. It is responsible for evaluating attributes of a VPF feature and determining if a particular feature matches what this priority holder represents. It can then provide an OMGraphicList for those features that match its attribute conditions.

Author:
  dietrick

Nested Class Summary
`protected static class` | `VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Basic`
`protected static class` | `VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Compound` A Compound FeaturePriorityHolder is used for buoys and other features that have parts added to their representation based on their feature attributes.

Field Summary
`protected java.lang.String` | `debugFacc` A handle to any debug FACC code listed by the warehouse, so that a specific type of feature can be singled out for debugging.
`protected int` | `dim` The dimension of icons created for point OMGraphics.
`protected java.lang.String` | `facc` The feature code FACC for this kind of feature.
`protected OMGraphicList` | `list` The OMGraphicList containing all the matching feature OMGraphics.
`protected float` | `sizePercent`
`protected char` | `type` The type of the feature, i.e.
`protected float` | `xoffPercent`
`protected float` | `yoffPercent`

Constructor Summary
`protected` | `VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder(java.lang.String type, java.lang.String facc, VPFAutoFeatureGraphicWarehouse warehouse)`

Method Summary
`protected abstract void` | `add(OMGraphic omg)`
`java.lang.String` | `getFacc()`
`OMGraphicList` | `getList()`
`protected float` | `getValue(java.lang.String s, float def)`
`abstract boolean` | `matches(java.lang.String facc, char type, java.lang.String conditions, java.lang.String symbolFileName, java.lang.String size, java.lang.String xoff, java.lang.String yoff)` Used to match symbol codes with PriorityHolder during initialization of PriorityHolders.
`abstract boolean` | `matches(java.lang.String facc, FeatureClassInfo fci, java.util.List<java.lang.Object> row)` Used to match feature entries with PriorityHolder.
`void` | `resetList()`
`void` | `updateLocation(java.lang.String size, java.lang.String xoff, java.lang.String yoff)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected char type

  The type of the feature, i.e. point, line, area

### facc

    protected java.lang.String facc

  The feature code FACC for this kind of feature.

### list

    protected OMGraphicList list

  The OMGraphicList containing all the matching feature OMGraphics.

### dim

    protected int dim

  The dimension of icons created for point OMGraphics.

### sizePercent

    protected float sizePercent

### xoffPercent

    protected float xoffPercent

### yoffPercent

    protected float yoffPercent

### debugFacc

    protected java.lang.String debugFacc

  A handle to any debug FACC code listed by the warehouse, so that a specific type of feature can be singled out for debugging.

Constructor Detail

### VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder

    protected VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder(java.lang.String type,
                                                                   java.lang.String facc,
                                                                   VPFAutoFeatureGraphicWarehouse warehouse)

Method Detail

### getList

    public OMGraphicList getList()

### getFacc

    public java.lang.String getFacc()

### resetList

    public void resetList()

### updateLocation

    public void updateLocation(java.lang.String size,
                               java.lang.String xoff,
                               java.lang.String yoff)

### getValue

    protected float getValue(java.lang.String s,
                             float def)

### matches

    public abstract boolean matches(java.lang.String facc,
                                    FeatureClassInfo fci,
                                    java.util.List<java.lang.Object> row)

  Used to match feature entries with PriorityHolder.

  Parameters:
    `facc` -
    `fci` -
    `row` -
  Returns:
    true if feature entry matches PriorityHolder conditions.

### matches

    public abstract boolean matches(java.lang.String facc,
                                    char type,
                                    java.lang.String conditions,
                                    java.lang.String symbolFileName,
                                    java.lang.String size,
                                    java.lang.String xoff,
                                    java.lang.String yoff)

  Used to match symbol codes with PriorityHolder during initialization of PriorityHolders.

  Parameters:
    `facc` -
    `type` -
    `conditions` -
    `size` - percent of dim setting to use for size of symbol (0-1f)
    `xoff` - percent off center of dim setting to use for x origin of symbol (0 is centered, positive is right)
    `yoff` - percent off center of dim setting to use for x origin of symbol (0 is centered, positive is down)
  Returns:
    true of feature entry matches PriorityHolder conditions.

### add

    protected abstract void add(OMGraphic omg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details